diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index c1d1b6b2db..7afe7bf68d 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -988,15 +988,20 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
       <term><literal>hostaddr</literal></term>
       <listitem>
        <para>
-        Numeric IP address of host to connect to.  This should be in the
+        Numeric IP address that should be used for the server specified
+        by <literal>host</literal>.  This should be in the
         standard IPv4 address format, e.g., <literal>172.28.40.9</literal>.  If
         your machine supports IPv6, you can also use those addresses.
         TCP/IP communication is
         always used when a nonempty string is specified for this parameter.
+        If this parameter is not specified, the value of <literal>host</literal>
+        will be looked up to find the corresponding IP address - or, if
+        <literal>host</literal> specifies an IP address, that value will be
+        used directly.
        </para>
 
        <para>
-        Using <literal>hostaddr</literal> instead of <literal>host</literal> allows the
+        Using <literal>hostaddr</literal> allows the
         application to avoid a host name look-up, which might be important
         in applications with time constraints. However, a host name is
         required for GSSAPI or SSPI authentication
